// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : EtlLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var EtlLst_PlantNr = grmi.NewField("PlantNr", "EtlLst.PlantNr", "plantnr", grmi.TypeInt)
var EtlLst_EtlId = grmi.NewField("EtlId", "EtlLst.EtlId", "etlid", grmi.TypeInt)
var EtlLst_Pos = grmi.NewField("Pos", "EtlLst.Pos", "pos", grmi.TypeInt)
var EtlLst_Table = grmi.NewField("Table", "EtlLst.Table", "table", grmi.TypeString)
var EtlLst_Field = grmi.NewField("Field", "EtlLst.Field", "field", grmi.TypeString)
var EtlLst_FieldName = grmi.NewField("FieldName", "EtlLst.FieldName", "fieldname", grmi.TypeString)
var EtlLst_FieldType = grmi.NewField("FieldType", "EtlLst.FieldType", "fieldtype", grmi.TypeString)
var EtlLst_FuncSpec = grmi.NewField("FuncSpec", "EtlLst.FuncSpec", "funcspec", grmi.TypeString)
var EtlLst_ToField = grmi.NewField("ToField", "EtlLst.ToField", "tofield", grmi.TypeString)
var EtlLst_LastModify = grmi.NewField("LastModify", "EtlLst.LastModify", "lastmodify", grmi.TypeDateTime)
var EtlLst_LastUser = grmi.NewField("LastUser", "EtlLst.LastUser", "lastuser", grmi.TypeString)
var EtlLst_CreateTime = grmi.NewField("CreateTime", "EtlLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : EtlLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var EtlLst = grmi.NewEntity(
	"EtlLst",
	func() interface{} { return &model.EtlLst{} },
	map[string]grmi.Field{
		EtlLst_PlantNr.Name:    EtlLst_PlantNr,
		EtlLst_EtlId.Name:      EtlLst_EtlId,
		EtlLst_Pos.Name:        EtlLst_Pos,
		EtlLst_Table.Name:      EtlLst_Table,
		EtlLst_Field.Name:      EtlLst_Field,
		EtlLst_FieldName.Name:  EtlLst_FieldName,
		EtlLst_FieldType.Name:  EtlLst_FieldType,
		EtlLst_FuncSpec.Name:   EtlLst_FuncSpec,
		EtlLst_ToField.Name:    EtlLst_ToField,
		EtlLst_LastModify.Name: EtlLst_LastModify,
		EtlLst_LastUser.Name:   EtlLst_LastUser,
		EtlLst_CreateTime.Name: EtlLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Table", "Field", "FieldName", "FieldType", "FuncSpec", "ToField", "LastUser"})
